"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
var _useUIKitTheme = _interopRequireDefault(require("../../theme/useUIKitTheme"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const Box = ({
  style,
  children,
  ...props
}) => {
  const boxStyle = useBoxStyle(props);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, props, {
    style: [boxStyle, style]
  }), children);
};
const useBoxStyle = props => {
  const theme = (0, _useUIKitTheme.default)();
  const {
    backgroundColor,
    ...rest
  } = props;
  return {
    backgroundColor: (0, _uikitUtils.isFunction)(backgroundColor) ? backgroundColor(theme) : backgroundColor,
    ...rest
  };
};
var _default = exports.default = Box;
//# sourceMappingURL=index.js.map