"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _uikitUtils = require("@sendbird/uikit-utils");
var _Icon = _interopRequireDefault(require("../../components/Icon"));
var _Image = _interopRequireDefault(require("../../components/Image"));
var _createStyleSheet = _interopRequireDefault(require("../../styles/createStyleSheet"));
var _useUIKitTheme = _interopRequireDefault(require("../../theme/useUIKitTheme"));
var _AvatarGroup = _interopRequireDefault(require("./AvatarGroup"));
var _AvatarIcon = _interopRequireDefault(require("./AvatarIcon"));
var _AvatarStack = _interopRequireDefault(require("./AvatarStack"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Avatar = ({
  uri,
  square,
  muted = false,
  size = 56,
  containerStyle
}) => {
  const {
    colors,
    palette
  } = (0, _useUIKitTheme.default)();
  const [loadFailure, setLoadFailure] = (0, _react.useState)(false);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, {
      width: size,
      height: size,
      borderRadius: square ? 0 : size / 2,
      backgroundColor: palette.background300
    }, containerStyle]
  }, (0, _uikitUtils.conditionChaining)([Boolean(uri) && !loadFailure], [/*#__PURE__*/_react.default.createElement(_Image.default, {
    onError: () => setLoadFailure(true),
    source: {
      uri
    },
    resizeMode: 'cover',
    style: _reactNative.StyleSheet.absoluteFill
  }), /*#__PURE__*/_react.default.createElement(_Icon.default, {
    icon: 'user',
    size: size / 2,
    color: colors.onBackgroundReverse01
  })]), muted && /*#__PURE__*/_react.default.createElement(MutedOverlay, {
    size: size
  }));
};
const MutedOverlay = ({
  size
}) => {
  const {
    palette
  } = (0, _useUIKitTheme.default)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.container, _reactNative.StyleSheet.absoluteFill]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_reactNative.StyleSheet.absoluteFill, {
      backgroundColor: palette.primary300,
      opacity: 0.5
    }]
  }), /*#__PURE__*/_react.default.createElement(_Icon.default, {
    color: palette.onBackgroundDark01,
    icon: 'mute',
    size: size * 0.72
  }));
};
const styles = (0, _createStyleSheet.default)({
  container: {
    alignItems: 'center',
    justifyContent: 'center',
    overflow: 'hidden'
  }
});
var _default = exports.default = Object.assign(Avatar, {
  Group: _AvatarGroup.default,
  Icon: _AvatarIcon.default,
  Stack: _AvatarStack.default
});
//# sourceMappingURL=index.js.map