function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React from 'react';
import Box from '../../components/Box';
import PressBox from '../../components/PressBox';
import createStyleSheet from '../../styles/createStyleSheet';
import useUIKitTheme from '../../theme/useUIKitTheme';
import MessageBubbleWithText from './MessageBubbleWithText';
import MessageContainer from './MessageContainer';
import MessageOpenGraph from './MessageOpenGraph';
const OpenGraphUserMessage = props => {
  const {
    variant = 'incoming'
  } = props;
  const {
    palette,
    select,
    colors
  } = useUIKitTheme();
  const color = colors.ui.groupChannelMessage[variant];
  const containerBackgroundColor = select({
    dark: palette.background400,
    light: palette.background100
  });
  return /*#__PURE__*/React.createElement(MessageContainer, props, /*#__PURE__*/React.createElement(PressBox, {
    onPress: props.onPress,
    onLongPress: props.onLongPress
  }, ({
    pressed
  }) => /*#__PURE__*/React.createElement(Box, {
    backgroundColor: containerBackgroundColor,
    style: styles.container
  }, /*#__PURE__*/React.createElement(MessageBubbleWithText, _extends({
    backgroundColor: pressed ? color.pressed.background : color.enabled.background
  }, props)), props.message.ogMetaData && /*#__PURE__*/React.createElement(MessageOpenGraph, {
    variant: variant,
    ogMetaData: props.message.ogMetaData,
    onLongPress: props.onLongPress,
    onPressURL: props.onPressURL
  }), props.children)));
};
const styles = createStyleSheet({
  container: {
    borderRadius: 16,
    overflow: 'hidden'
  }
});
export default OpenGraphUserMessage;
//# sourceMappingURL=Message.user.og.js.map